import React, { Component } from 'react'

export default class ProductItem extends Component {
    constructor(props) {
        super(props)
        this.state = {}
    }

    calculateDiscount(price, discount) {
        return (price * (1.00 - discount / 100)).toFixed(2);
    }
    
    render() {
        return (
            <div className="product-item">
                <div id="more-details-img-box">
                    <img id="prod-img" src={ this.props.item.productImageUrl ? this.props.item.productImageUrl : "-no photo-" } />
                    <p id="more-details-text">More Details</p>
                </div>
                <p id="prod-name">{ this.props.item.productName }</p>
                <div id="prod-price">
                    { this.props.item.promo ? 
                    <div id="promo-show">
                        <p id="promo-show-text-original">
                        ${ this.props.item.price }
                        </p>
                        <p id="promo-show-text">
                        ${ this.calculateDiscount(this.props.item.price, this.props.item.promo) }
                        </p>
                    </div> : "$" + this.props.item.price }
                </div>
                { this.props.item.promo ?
                <p id="prod-promotion">
                    { "Save " + this.props.item.promo + "% on this item!"}
                </p> : ""}
                <div className="add-cart-and-quantity">
                    <input id="order-quantity" type="number" placeholder="Qty" />
                    <span id="add-to-cart-button">Add to Cart</span>
                </div>
                </div>
        )
    }
}
